      module Vceqdsk
      use kind_spec

C...Created by Pacific-Sierra Research VAST-90 2.06G2  12:29:44   5/18/01
      use Vparam, only: nxa, nza, nptsdm, nprofm, nza2,
     1                  inoperm, nprofm2, lrza, nions
      character(8) :: codeid, dat
      character(40) :: ntitle
      integer   nlim, nlimiter, lrz, nprim, nimp, nion, nti
      integer   iounit1, inoperm1, nptsdm1, nptsd
      integer   ieqdsk
      integer   ipestg, nxeqd, nzeqd
      integer   imodeq, liw, lw, ifail
      integer, dimension(nprofm) :: ncontr
      integer, dimension(4) :: iw
      real(kind=dp)   psiadj
      real(kind=dp)   funcmin
      real(kind=dp)   xxx, zzz
      real(kind=dp)   dpolflx, psieqd
      real(kind=dp)   tpsisav, dang, bperr, arcl
      real(kind=dp)   xdimeqd, zdimeqd, reqd, redeqd, zmideqd, xma,
     1    zma, psimag,
     1   psilim, beqd, toteqd, psimx1, psimx2, xax1, xax2, zax1, zax2,
     2   psisep, xsep, zsep
      real(kind=dp), dimension(nxa) :: feqd, presseqd, ffpeqd, ppeqd
      real(kind=dp), dimension(nxa,nza) :: peqd
      real(kind=dp), dimension(nxa) :: qeqd
      real(kind=dp), dimension(nxa) :: xeqd
      real(kind=dp), dimension(nza) :: zeqd
      real(kind=dp), dimension(2) :: bl, bu, psith
      real(kind=dp), dimension(40) :: work
      real(kind=dp), dimension(nxa) :: tpsieqd, tpsifeqd
      real(kind=dp), dimension(nxa) :: torflux
      real(kind=dp), dimension(nprofm) :: ra
      real(kind=dp), dimension(nprofm,4) :: psifra
      real(kind=dp), dimension(nprofm) :: dpsifra
      real(kind=dp), dimension(nprofm,4) :: fra, fra1
      real(kind=dp), dimension(2,nxa,nza2) :: cspln
      real(kind=dp), dimension(6) :: pds
      real(kind=dp), dimension(inoperm) :: wnoperm
      real(kind=dp), dimension(nprofm) :: pprime, vprime, chipsi
      real(kind=dp), dimension(nptsdm) :: thet, anglex
      real(kind=dp), dimension(2,nptsdm,nprofm2) :: csplnx, csplnz
      real(kind=dp), dimension(6) :: pdsx, pdsz
      real(kind=dp), dimension(nptsdm) :: rlim, zlim,
     1    rlimiter, zlimiter
      real(kind=dp), dimension(lrza,nions) :: zi
      real(kind=dp), dimension(lrza) :: zeffz, r, raeqd, psifeqd, te
      real(kind=dp), dimension(lrza,nions) :: ti
      real(kind=dp), dimension(lrza) :: ti1, ene
      real(kind=dp), dimension(lrza,nions) :: enp
      real(kind=dp), dimension(nxa,nza) :: bmod
      real(kind=dp), dimension(2*nprofm - 1) :: rmd, btmd, bpmd, btpmd
      real(kind=dp), dimension(nprofm) :: roa
      real(kind=dp), dimension(nptsdm,nprofm) :: xcontr, zcontr,
     1    bpcontr, btcontr
     1   , dstarp, b_fld, jacob
      end module Vceqdsk
